ifeq ($(shell uname),Darwin)
	includedir = "/opt/homebrew/include"
	libdir     = "/opt/homebrew/lib"
endif
ifeq ($(shell uname),Linux)
endif	
ifeq ($(OS),Windows_NT)
	includedir = "C:\\Users\\Jin Woo Gwak\\Desktop\\Local Packages\\vcpkg\\installed\\x64-windows\\include"
	libdir     = "C:\\Users\\Jin Woo Gwak\\Desktop\\Local Packages\\vcpkg\\installed\\x64-windows\\lib"
endif

includes   = -I $(includedir)
ldlibs     = -L $(libdir) -lm -lgsl -lgslcblas -lfftw3 -lhdf5 -lhdf5_hl

cxx = g++ 

cxxflags = -g

target = PIC

objs = main.o ES1D.o particle.o grid.o output.o

$(target): $(objs)
	$(cxx) -o $@ $(objs) $(ldlibs)

main.o: define.h ES1D.h main.cpp
	$(cxx) $(cxxflags) -c -o main.o main.cpp $(includes) 

ES1D.o: define.h ES1D.h ES1D.cpp
	$(cxx) $(cxxflags) -c -o ES1D.o ES1D.cpp $(includes) 

output.o: define.h output.h output.cpp
	$(cxx) $(cxxflags) -c -o output.o output.cpp $(includes) 

grid.o: define.h grid.h grid.cpp
	$(cxx) $(cxxflags) -c -o grid.o grid.cpp $(includes) 

particle.o: define.h particle.h particle.cpp
	$(cxx) $(cxxflags) -c -o particle.o particle.cpp $(includes) 

clean:
	rm *.o
	rm $(target)